Page MenuHomePhabricator

TEC6: Upgrade metrics monitoring infrastructure core components (Q3 2018/19 goal)
Closed, ResolvedPublic

Description

  • Serve >= 50% of production Prometheus systems with Prometheus v2: T187987
  • Upgrade production prometheus-node-exporter to >= 0.16
  • [stretch] Investigate distributed and long term storage solutions for Prometheus
    • Formulate requirements around aggregation, retention, hardware, etc.
    • Evaluate M3 and Thanos

Event Timeline

CDanis created this task.Jan 9 2019, 3:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2019, 3:05 PM
CDanis updated the task description. (Show Details)Jan 9 2019, 3:40 PM
herron triaged this task as Normal priority.Jan 9 2019, 4:32 PM
fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Jan 16 2019, 2:25 PM
fgiunchedi updated the task description. (Show Details)Mar 27 2019, 2:22 PM
fgiunchedi moved this task from In progress to Backlog on the observability board.Apr 15 2019, 2:37 PM
fgiunchedi closed this task as Resolved.EditedJul 2 2019, 12:26 PM
fgiunchedi claimed this task.
fgiunchedi updated the task description. (Show Details)

This was completed, resolving. The Prometheus long term solutions have been investigated as part of T220104: TEC6: Metrics monitoring infrastructure (Q4 2018/19 goal)